Skip to content
Bpanda
English
Esc
↑↓navigate↵open⌘Jpreview

Add elements to the element settings.

Add elements to the element settings. Add a list of architecture elements to the element settings of a warehouse

Security: Manager of the process space.

PUT/v1/warehouses/{warehouseId}/preferences/architecture/elements
Authorization
AuthorizationBearer token (JWT) · headerrequired
BpmLicenseAPI key · headerrequired
Path parameters
warehouseIdstringrequired

ID of warehouse

Request body
requiredapplication/json

Array of element keys

Array of ArchitectureElementType
string
Responses
200

added architecture element settings

Array of ArchitectureElementSetting
activatedActionStamprequired
Show properties
instantstring<date-time>required
userIdstringrequired
conceptualClassArchitectureElementTyperequired
Allowed:ApplicationCollaborationApplicationComponentApplicationEventApplicationFunctionApplicationInteractionApplicationInterfaceApplicationProcessApplicationServiceArchitectureElementArtifactAssessmentBusinessActorBusinessCollaborationBusinessEventBusinessFunctionBusinessInteractionBusinessInterfaceBusinessObjectBusinessProcessBusinessRoleBusinessServiceCapabilityCommunicationNetworkCommunicationPathConstraintContractCourseOfActionDataObjectDeliverableDeviceDistributionNetworkDriverEquipmentFacilityGapGoalGroupingImplementationEventLocationMaterialMeaningNodeOutcomePlateauPrincipleProductRepresentationRequirementResourceStakeholderSystemSoftwareTechnologyCollaborationTechnologyEventTechnologyFunctionTechnologyInteractionTechnologyInterfaceTechnologyProcessTechnologyServiceValueValueStreamWorkPackage
403

Forbidden: insufficient permissions

string
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PUT 'https://publicapi.goto.bpanda.com/bpm/api/v1/warehouses/string/preferences/architecture/elements' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '[
  "ApplicationCollaboration"
]'
Response
[
  {
    "activated": {
      "instant": "2019-08-24T14:15:22Z",
      "userId": "string"
    },
    "conceptualClass": "ApplicationCollaboration"
  }
]